Sender IDs
List Sender IDs
List Sender ID registrations with optional filters.
GET
/
v1
/
sids
List Sender IDs
curl --request GET \
--url https://api.example.com/v1/sidsimport requests
url = "https://api.example.com/v1/sids"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/sids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": [
{
"id": "sid_j1k2l3m4",
"sender_id": "TrackFast",
"brand_id": "brand_f6g7h8i9",
"market": "AU",
"status": "registered",
"created_at": "2026-07-17T14:30:00+10:00",
"registered_at": "2026-07-18T09:15:00+10:00"
},
{
"id": "sid_n5o6p7q8",
"sender_id": "SecurBank",
"brand_id": "brand_j1k2l3m4",
"market": "AU",
"status": "registered",
"created_at": "2026-07-15T09:00:00+10:00",
"registered_at": "2026-07-16T11:30:00+10:00"
}
],
"pagination": {
"has_more": false,
"next_cursor": null,
"page_size": 25
},
"meta": {
"request_id": "req_efg123",
"timestamp": "2026-07-18T10:05:00+10:00"
}
}
Required permission:
sids:read
Query parameters
string
Filter by ISO 3166-1 alpha-2 country code.
string
Filter by SID status:
pending_review, pending_register, pending_brand_confirmation, registered, rejected, suspended, deregistered.string
Filter by brand entity.
string
Filter by Sender ID string (partial match).
string
Pagination cursor.
integer
default:"50"
Results per page. Maximum 100.
Example
curl "https://api.senderz.ai/v1/sids?market=AU&status=registered&page_size=25" \
-H "Authorization: Bearer sz_live_xxxxxxxxxxxxx"
Response
{
"ok": true,
"data": [
{
"id": "sid_j1k2l3m4",
"sender_id": "TrackFast",
"brand_id": "brand_f6g7h8i9",
"market": "AU",
"status": "registered",
"created_at": "2026-07-17T14:30:00+10:00",
"registered_at": "2026-07-18T09:15:00+10:00"
},
{
"id": "sid_n5o6p7q8",
"sender_id": "SecurBank",
"brand_id": "brand_j1k2l3m4",
"market": "AU",
"status": "registered",
"created_at": "2026-07-15T09:00:00+10:00",
"registered_at": "2026-07-16T11:30:00+10:00"
}
],
"pagination": {
"has_more": false,
"next_cursor": null,
"page_size": 25
},
"meta": {
"request_id": "req_efg123",
"timestamp": "2026-07-18T10:05:00+10:00"
}
}
⌘I
List Sender IDs
.jpg?fit=max&auto=format&n=IhWYk8R5R6sdJ_7C&q=85&s=7e3194d82fa9653ad2a2449b4f1a3073)